Bug 147052 - Installer uses wrong language in console when called with vnc
Installer uses wrong language in console when called with vnc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 18:28 EST by Josep
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 22:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of triage 01 (302.96 KB, image/png)
2006-09-10 22:57 EDT, Caius Chance
no flags Details
screenshot of triage 02 (262.31 KB, image/png)
2006-09-10 23:00 EDT, Caius Chance
no flags Details
screenshot of triage 03 (300.02 KB, image/png)
2006-09-10 23:01 EDT, Caius Chance
no flags Details
screenshot of triage 04 (267.83 KB, image/png)
2006-09-10 23:04 EDT, Caius Chance
no flags Details
screenshot of triage 05 (278.50 KB, image/png)
2006-09-10 23:05 EDT, Caius Chance
no flags Details
attaching latest Screenshot of anaconda (26Apr2007 build) (92.92 KB, image/png)
2007-04-27 03:24 EDT, A S Alam
no flags Details

  None (edit)
Description Josep 2005-02-03 18:28:19 EST
From Bugzilla Helper:

Description of problem:
I installed FC 3 using vnc method, typing:
linux vnc

Then I chose Catalan (ca) as the language to use during the
installation. Then everything is in Catalan, but when it starts the
VNC server, all console text is in Spanish (es) (note: locale is ca_ES).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start a new install using VNC, with "linux vnc"
2. Choose "Catalan" as the language to use during installation
3. Follow all screens, entering all data needed, until anaconda starts
detecting hardware.

Actual Results:  The messages are in Spanish

Expected Results:  The messages should be in Catalan

Additional info:

I noticed this by installing via VNC, but I don't really know if this
is what triggers the change in language.
Comment 1 Matthew Miller 2006-07-10 17:53:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Leon Ho 2006-07-11 22:02:03 EDT
Moving to devel
Comment 3 Caius Chance 2006-09-10 22:57:57 EDT
Created attachment 135949 [details]
screenshot of triage 01

On VMWare, chose Catalan in the first screen of installation (text-mode), then
used vnc viewer to connect.

Becuase I do not understand neither Catalan nor Espanyol, I cannot tell is that
bug still existing in latest rawhide. Could reporter or anyone who knows
Catalan and Espanyol advice in here?
Comment 4 Caius Chance 2006-09-10 23:00:57 EDT
Created attachment 135950 [details]
screenshot of triage 02

(as above)
Comment 5 Caius Chance 2006-09-10 23:01:59 EDT
Created attachment 135951 [details]
screenshot of triage 03
Comment 6 Caius Chance 2006-09-10 23:04:10 EDT
Created attachment 135952 [details]
screenshot of triage 04

(as above)
Comment 7 Caius Chance 2006-09-10 23:05:21 EDT
Created attachment 135953 [details]
screenshot of triage 05

(as above)
Comment 8 Josep 2006-09-11 03:34:25 EDT
Hi,
I can confirm that the text in all screenshots above is in Catalan.


/Josep
Comment 9 Caius Chance 2006-09-11 03:40:49 EDT
Josep,

Could you do us a big favor that go through the whole Catalan installation by
vnc? It would be fabulous to ensure an excellent quality of the latest anaconda
for people who uses Catalan. :)

Caius.
Comment 10 Josep 2006-09-11 03:50:15 EDT
Hi,

Sure, I will definetely do once FC6t3 is out (in 2 days?), or would
you like to have it earlier? If so, where can I get rawhide CD images?

/Josep
Comment 11 Caius Chance 2006-09-11 21:06:47 EDT
(In reply to comment #10)
> Hi,
> 
> Sure, I will definetely do once FC6t3 is out (in 2 days?), or would
> you like to have it earlier? If so, where can I get rawhide CD images?
> 
> /Josep

I am trying to get a available rawhide location for you, if I could not get back
to you by the FC6t3 release date, please try that on the your download source of
latest version. Appreciates for you kindly help. :)
Comment 12 Caius Chance 2006-09-11 21:15:19 EDT
http://download.fedora.redhat.com/pub/fedora/linux/core/development/

I am not guarantee whether it is the latest or not.
Comment 13 Caius Chance 2006-09-13 02:54:15 EDT
If the first 5 screen could be confirmed is in Catalan, I assume the remaining
screens are also in Catalan as there is very rare case that anaconda would
switch to another language suddenly along the progress.

Of course if Josep has time, it would be extremely welcome to test the whole
anaconda progress.
Comment 14 Caius Chance 2006-09-14 09:55:48 EDT
Is there any people who understand Catalan could test?
Comment 15 Josep 2006-09-14 10:08:33 EDT
I'll be testing it as soon as FC6t3 gets out, but as you put un comment #13, I
believe the problem should be solved now.

When I reported the issue, the console message indicating that it started the
VNC server was in Spanish, but that doesn't seem to be the case now.

I'll report back as soon as possible.
Comment 16 Josep 2006-09-14 18:05:46 EDT
Hi,

I finally installed from FC6t3 and the whole thing was in Catalan (what was
translated, that is ,-).

Caius, I totally missed comment #12 where you gave me the URL to fetch the
installation CD for testing, sorry about that.

This problem has disappeared, so it all looks good to me for closing this bug now.

Thanks for your time and efford. Keep up the good work!
Comment 17 Caius Chance 2006-09-19 01:09:53 EDT
Appreciates Josep!!
Comment 18 Leon Ho 2006-09-20 01:09:02 EDT
Moving to MODIFIED based on the comment #16
Comment 19 A S Alam 2007-04-27 03:24:39 EDT
Created attachment 153584 [details]
attaching latest Screenshot of anaconda (26Apr2007 build)

Can someone please confirm whether is ca_ES?
Comment 20 Josep 2007-04-27 10:38:38 EDT
(In reply to comment #19)
> Created an attachment (id=153584) [edit]
> attaching latest Screenshot of anaconda (26Apr2007 build)
> 
> Can someone please confirm whether is ca_ES?

I can confirm this is Catalan, and as I mentioned in comment #16, I think this
issue can be closed.

Thanks!

/Josep
Comment 21 A S Alam 2007-04-27 22:06:41 EDT
Thanks for reply,
it is going to close.

Note You need to log in before you can comment on or make changes to this bug.